> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List Starter Projects



## OpenAPI

````yaml /openapi.json get /v1/api-performance/starter-projects
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/starter-projects:
    get:
      tags:
        - API Performance
      summary: List Starter Projects
      operationId: api_performance_starter_projects_list
      parameters:
        - name: source_id
          in: query
          required: false
          schema:
            type: string
            title: Source Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicStartingProjectsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicStartingProjectsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/PublicStartingProject'
          type: array
          title: Data
        meta:
          additionalProperties: true
          type: object
          title: Meta
      type: object
      required:
        - data
      title: PublicStartingProjectsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    PublicStartingProject:
      properties:
        id:
          type: string
          title: Id
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        name:
          type: string
          title: Name
        repo_url:
          type: string
          title: Repo Url
        ref:
          type: string
          title: Ref
        subdir:
          type: string
          title: Subdir
          default: ''
        install_steps:
          items:
            type: string
          type: array
          title: Install Steps
        framework:
          type: string
          enum:
            - fastify
            - nuxt
            - express
            - spa-js
            - angular
            - react
            - fastapi
            - vite
            - nextjs
            - custom
          title: Framework
          default: custom
        enabled:
          type: boolean
          title: Enabled
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
        updated_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated At
      type: object
      required:
        - id
        - name
        - repo_url
        - ref
        - enabled
      title: PublicStartingProject
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````